textures/willow/main_q3abannerj
{
	q3map_lightimage textures/willow/main_q3abannerj.tga
        q3map_surfacelight 100


	{
		map textures/willow/main_q3abannerj.tga
	        rgbGen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     

textures/willow/bluesea

	{
		qer_editorimage textures/willow/watr1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nolightmap
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5

		{ 
			map textures/willow/watr1.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	

	}

textures/willow/seafog
{
	qer_editorimage textures/sfx/fog_blue.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.4 0.5 0.9 ) 384

}


textures/willow/leaf2
{
	qer_editorimage textures/willow/cocoleaf.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	nopicmip
	deformVertexes wave 32 sin 0 2 5 0.1 
	{
		map textures/willow/cocoleaf.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
}


textures/willow/fish1
{
	qer_editorimage textures/willow/sakana1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 32 sin 0 2 5 0.1 
	{
		map textures/willow/sakana1.tga
		rgbGen identity
		tcMod scroll -0.2 0
		tcMod turb 0 0.05 0.5 0.06
		tcMod turb 0 0.2 0 0.05
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
}

textures/willow/fish2
{
	qer_editorimage textures/willow/sakana2.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	deformVertexes wave 32 sin 0 2 5 0.1
	{
		map textures/willow/sakana2.tga
		tcMod scroll -0.05 0
		tcMod turb 0 0.05 0.5 0.06
		tcMod turb 0 0.2 0 0.05
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/willow/fish3
{
	qer_editorimage textures/willow/sakana3.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	deformVertexes wave 32 sin 0 2 5 0.1
	{
		map textures/willow/sakana3.tga
		tcMod scroll 0.1 0
		tcMod turb 0 0.05 0.5 0.06
		tcMod turb 0 0.1 0 0.05
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/willow/oceansky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/common/white.tga
	qer_editorimage textures/willow/ocean01_bk.tga
	q3map_sun	1 1 1 100 -45 70
	q3map_surfacelight 200
        skyparms env/ocean01 - -
}

textures/willow/shark
{
	qer_editorimage textures/willow/same.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/willow/same.tga
		tcMod scroll -0.5 0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/willow/danger
{
	qer_editorimage textures/willow/danger_alpha.tga
	surfaceparm trans	
	surfaceparm alphashadow
        nopicmip
	{
		map textures/willow/danger_alpha.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/willow/dangerback
{
	qer_editorimage textures/willow/dangerback_alpha.tga
	surfaceparm trans	
	surfaceparm alphashadow
        nopicmip
	{
		map textures/willow/dangerback_alpha.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}